import React__default from 'react';
import { Card } from 'react-bootstrap';
import urlFor from './urlFor.js';
import { c as clean_html_1 } from './entities-932b50cf.js';
import './index-0dbff1d1.js';
import './_commonjsHelpers-0c4b6f40.js';

var Hero = function Hero(_ref) {
  var data = _ref.data,
      client = _ref.client,
      imageHeight = _ref.imageHeight,
      imageWidth = _ref.imageWidth;
  var title = data.title,
      summary = data.summary,
      thumbnail = data.thumbnail,
      url = data.url;

  return React__default.createElement(
    'a',
    { href: '/view/' + url.current },
    React__default.createElement(
      Card,
      { bsPrefix: 'hero-card' },
      title && React__default.createElement(
        Card.Header,
        { className: 'h4' },
        title
      ),
      thumbnail && client && React__default.createElement(Card.Img, { src: urlFor({ source: thumbnail, client: client, imageHeight: imageHeight, imageWidth: imageWidth }), alt: title }),
      summary && React__default.createElement(
        Card.Footer,
        { className: 'h6' },
        clean_html_1(summary)
      )
    )
  );
};

export default Hero;
